Index: devel/darcs/Makefile
===================================================================
RCS file: /cvs/ports/devel/darcs/Makefile,v
retrieving revision 1.33
diff -u -p -r1.33 Makefile
--- devel/darcs/Makefile	17 Jul 2010 13:54:30 -0000	1.33
+++ devel/darcs/Makefile	11 Sep 2010 19:20:27 -0000
@@ -2,25 +2,32 @@
 
 COMMENT =		advanced revision control system written in Haskell
 
-DISTNAME =		darcs-2.4.4
-REVISION =		1
+DISTNAME =		darcs-beta-2.4.98.5
 
 CATEGORIES =		devel
 HOMEPAGE =		http://www.darcs.net/
 
-WANTLIB =		c curl.>=2 gmp m ncurses pthread util z
+# Quick hacks for darcs-beta:
+PKGNAME =		${DISTNAME:C,-beta,,}
+MASTER_SITES =		${HOMEPAGE}releases/
+DISTFILES =		${DISTNAME:C,-beta,,}${EXTRACT_SUFX}
+SUBST_VARS =		DISTNAME
+
+WANTLIB =		c curl.>=2 gmp m ncursesw pthread util z
 MODULES =		lang/ghc converters/libiconv
-MODGHC_BUILD =		cabal hackage nort
+MODGHC_BUILD =		cabal nort
 MODGHC_SETUP_CONF_ARGS =-f '-threaded'
 LIB_DEPENDS =		::devel/gmp \
 			::net/curl
 
 # Yes, build dependencies, because GHC libs are still static and we
 # don't want to pull in all of ghc.
-BUILD_DEPENDS =		:hs-zlib->=0.5.0,<0.6.0:archivers/hs-zlib \
-			:hs-hashed-storage-0.4.13:devel/hs-hashed-storage \
+BUILD_DEPENDS =		:hs-tar->=0.3,<0.4:devel/hs-tar \
+			:hs-zlib->=0.5.0,<0.6.0:archivers/hs-zlib \
+			:hs-hashed-storage->=0.5.2,<0.6:devel/hs-hashed-storage \
 			:hs-parsec->=2.0,<3.1:devel/hs-parsec \
 			:hs-regex-compat->=0.71,<0.94:devel/hs-regex-compat \
+			:hs-text->=0.3:devel/hs-text \
 			:hs-html->=1.0,<1.1:www/hs-html \
 			${RUN_DEPENDS} \
 			::textproc/latex2html
@@ -29,11 +36,6 @@ REGRESS_DEPENDS =	::shells/bash
 
 # For the documentation
 USE_GMAKE =		Yes
-
-# Weird permission alert!
-# http://bugs.darcs.net/issue1815 (it's a bug in Cabal, not in darcs)
-post-extract:
-	@chmod -R a+r ${WRKSRC}
 
 post-build:
 	@cd ${WRKBUILD} && exec ${SETENV} ${MAKE_ENV} ${MAKE_PROGRAM} html
Index: devel/darcs/distinfo
===================================================================
RCS file: /cvs/ports/devel/darcs/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- devel/darcs/distinfo	24 May 2010 14:33:03 -0000	1.20
+++ devel/darcs/distinfo	11 Sep 2010 19:20:27 -0000
@@ -1,5 +1,5 @@
-MD5 (darcs-2.4.4.tar.gz) = hv5PaV8P4vKX/lNjQd4bIQ==
-RMD160 (darcs-2.4.4.tar.gz) = zsERJ3QPNQ0l3n1PnH198RXr7Wo=
-SHA1 (darcs-2.4.4.tar.gz) = lqGQfTuP1WdgdKhgNZSE8lHTbi8=
-SHA256 (darcs-2.4.4.tar.gz) = l83jWuS3RIj4uYtIe8BJgGnqp0/gNZAzlPPUr/Han54=
-SIZE (darcs-2.4.4.tar.gz) = 1193126
+MD5 (darcs-2.4.98.5.tar.gz) = rinPJnTfjrudccIjcfmrGw==
+RMD160 (darcs-2.4.98.5.tar.gz) = ImgU46s9vExuPzMf/p4mFR+TmHg=
+SHA1 (darcs-2.4.98.5.tar.gz) = cqgoe6XCPyQW9SMMOljq9MSwkDs=
+SHA256 (darcs-2.4.98.5.tar.gz) = QnH1VoMLlASmNsUMbrUcwZSyTZiO6bDl1OKSGm813WQ=
+SIZE (darcs-2.4.98.5.tar.gz) = 1220022
Index: devel/darcs/patches/patch-src_Darcs_Patch_Info_hs
===================================================================
RCS file: devel/darcs/patches/patch-src_Darcs_Patch_Info_hs
diff -N devel/darcs/patches/patch-src_Darcs_Patch_Info_hs
--- devel/darcs/patches/patch-src_Darcs_Patch_Info_hs	25 Apr 2010 21:20:45 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,28 +0,0 @@
-$OpenBSD: patch-src_Darcs_Patch_Info_hs,v 1.1 2010/04/25 21:20:45 kili Exp $
---- src/Darcs/Patch/Info.hs.orig	Mon Apr 12 21:42:42 2010
-+++ src/Darcs/Patch/Info.hs	Sun Apr 25 22:56:01 2010
-@@ -18,10 +18,10 @@
- module Darcs.Patch.Info ( PatchInfo, patchinfo, invert_name, is_inverted,
-                           idpatchinfo, add_junk,
-                           make_filename, make_alt_filename, readPatchInfo,
--                          just_name, just_author, repopatchinfo, RepoPatchInfo,
--                          human_friendly, to_xml, pi_date, set_pi_date,
--                          pi_name, pi_rename, pi_author, pi_tag, pi_log,
--                          showPatchInfo, is_tag
-+                          just_name, just_author, just_log, repopatchinfo,
-+			  RepoPatchInfo, human_friendly, to_xml, pi_date,
-+			  set_pi_date, pi_name, pi_rename, pi_author, pi_tag,
-+			  pi_log, showPatchInfo, is_tag
-                         ) where
- import Text.Html hiding (name, text)
- import System.Random ( randomRIO )
-@@ -98,6 +98,9 @@ just_name pinf = if is_inverted pinf then "UNDO: " ++ 
- 
- just_author :: PatchInfo -> String
- just_author = BC.unpack . _pi_author
-+
-+just_log :: PatchInfo -> String
-+just_log = unlines . map BC.unpack . _pi_log
- 
- human_friendly :: PatchInfo -> Doc
- human_friendly pi =
Index: devel/darcs/patches/patch-src_Darcs_Patch_Match_lhs
===================================================================
RCS file: devel/darcs/patches/patch-src_Darcs_Patch_Match_lhs
diff -N devel/darcs/patches/patch-src_Darcs_Patch_Match_lhs
--- devel/darcs/patches/patch-src_Darcs_Patch_Match_lhs	6 May 2010 20:06:28 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,61 +0,0 @@
-$OpenBSD: patch-src_Darcs_Patch_Match_lhs,v 1.2 2010/05/06 20:06:28 kili Exp $
---- src/Darcs/Patch/Match.lhs.orig	Mon Apr 12 21:42:42 2010
-+++ src/Darcs/Patch/Match.lhs	Wed May  5 17:09:11 2010
-@@ -36,7 +36,7 @@ import System.IO.Unsafe ( unsafePerformIO )
- 
- import Darcs.Hopefully ( PatchInfoAnd, hopefully, info )
- import Darcs.Patch ( Patch, Patchy, hunkMatches, listTouchedFiles, patchcontents )
--import Darcs.Patch.Info ( just_name, just_author, make_filename,
-+import Darcs.Patch.Info ( just_name, just_author, just_log, make_filename,
-                           pi_date )
- import Darcs.Witnesses.Sealed ( Sealed2(..), seal2 )
- import DateMatcher ( parseDateMatcher )
-@@ -81,7 +81,7 @@ trivial = const True
- 
- \subsection{Match}
- 
--Currently \verb!--match! accepts six primitive match types, although
-+Currently \verb!--match! accepts eight primitive match types, although
- there are plans to expand it to match more patterns.  Also, note that the
- syntax is still preliminary and subject to change.
- 
-@@ -199,6 +199,18 @@ file paths that the patch touches.  The syntax is
- darcs annotate --summary --match 'touch foo/bar.c'
- \end{verbatim}
- 
-+The seventh match type accepts a regular expression which is checked
-+against every hunk. The syntax is
-+\begin{verbatim}
-+darcs annotate --summary --match 'hunk "^instance .* Foo where$"'
-+\end{verbatim}
-+
-+The eight match type accepts a regular expression which is checked
-+against the long comment. The syntax is
-+\begin{verbatim}
-+darcs annotate --summary --match 'comment "remote repository"'
-+\end{verbatim}
-+
- The \verb!--match! pattern can include the logical operators \verb!&&!,
- \verb!||! and \verb!not!, as well as grouping of patterns with parentheses.
- For example
-@@ -306,8 +318,11 @@ primitiveMatchers =
-             , ["\"David Roundy\"", "droundy", "droundy@darcs.net"]
-             , authormatch )
-  , ("hunk", "check a regular expression against the contents of a hunk patch"
--            , ["foo = 2", "^instance .* Foo where$"]
-+            , ["\"foo = 2\"", "\"^instance .* Foo where$\""]
-             , hunkmatch )
-+ , ("comment", "check a regular expression against the log message"
-+         , ["\"prevent deadlocks\""]
-+         , logmatch )
-  , ("hash",  "match the darcs hash for a patch"
-           ,  ["20040403105958-53a90-c719567e92c3b0ab9eddd5290b705712b8b918ef"]
-           ,  hashmatch )
-@@ -339,6 +354,7 @@ exactmatch r (Sealed2 hp) = r == (just_name (info hp))
- 
- authormatch a (Sealed2 hp) = isJust $ matchRegex (mkRegex a) $ just_author (info hp)
- 
-+logmatch l (Sealed2 hp) = isJust $ matchRegex (mkRegex l) $ just_log (info hp)
- 
- hunkmatch r (Sealed2 hp) = let patch = patchcontents $ hopefully hp
-                                regexMatcher = isJust . (matchRegex (mkRegex r) . BC.unpack)
Index: devel/darcs/patches/patch-tests_issue1875-honor-no-set-default_sh
===================================================================
RCS file: devel/darcs/patches/patch-tests_issue1875-honor-no-set-default_sh
diff -N devel/darcs/patches/patch-tests_issue1875-honor-no-set-default_sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ devel/darcs/patches/patch-tests_issue1875-honor-no-set-default_sh	11 Sep 2010 19:20:27 -0000
@@ -0,0 +1,15 @@
+$OpenBSD$
+
+Our find(1) doesn't exit(1) if a path operand couldn't be traversed,
+
+--- tests/issue1875-honor-no-set-default.sh.orig	Mon Aug 23 20:35:23 2010
++++ tests/issue1875-honor-no-set-default.sh	Sat Aug 28 20:27:21 2010
+@@ -28,7 +28,7 @@
+ rm -rf R S                      # Another script may have left a mess.
+ darcs init      --repo R        # Create our test repos.
+ darcs get R S  --no-set-default
+-not find S/_darcs/prefs/defaultrepo
++test ! -e S/_darcs/prefs/defaultrepo
+ rm -rf S
+ 
+ darcs init --repo S
Index: devel/darcs/pkg/PLIST
===================================================================
RCS file: /cvs/ports/devel/darcs/pkg/PLIST,v
retrieving revision 1.12
diff -u -p -r1.12 PLIST
--- devel/darcs/pkg/PLIST	22 Apr 2010 21:53:19 -0000	1.12
+++ devel/darcs/pkg/PLIST	11 Sep 2010 19:20:27 -0000
@@ -1,5 +1,9 @@
 @comment $OpenBSD: PLIST,v 1.12 2010/04/22 21:53:19 kili Exp $
 @bin bin/darcs
+@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/CheckFileSystem.hi
+@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SlurpDirectory/
+@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SlurpDirectory.hi
+@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SlurpDirectory/Internal.hi
 @comment lib/${DISTNAME}/
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/ByteStringUtils.hi
@@ -10,7 +14,6 @@
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/ArgumentDefaults.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Arguments.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Bug.hi
-@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/CheckFileSystem.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/ColorPrinter.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Commands/
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Commands.hi
@@ -122,9 +125,6 @@
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/RunCommand.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SelectChanges.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SignalHandler.hi
-@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SlurpDirectory/
-@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SlurpDirectory.hi
-@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/SlurpDirectory/Internal.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Test.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/TheCommands.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/URL.hi
@@ -133,6 +133,7 @@
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Witnesses/Ordered.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Witnesses/Sealed.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Witnesses/Show.hi
+@comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Darcs/Witnesses/WZipper.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/DateMatcher.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/English.hi
 @comment lib/${DISTNAME}/ghc-${MODGHC_VER}/Exec.hi
Index: devel/hs-hashed-storage/Makefile
===================================================================
RCS file: /cvs/ports/devel/hs-hashed-storage/Makefile,v
retrieving revision 1.8
diff -u -p -r1.8 Makefile
--- devel/hs-hashed-storage/Makefile	17 Jul 2010 13:43:37 -0000	1.8
+++ devel/hs-hashed-storage/Makefile	11 Sep 2010 19:20:27 -0000
@@ -2,8 +2,7 @@
 
 COMMENT =		hashed file storage support code for Haskell
 
-DISTNAME =		hashed-storage-0.4.13
-REVISION =		4
+DISTNAME =		hashed-storage-0.5.2
 CATEGORIES =		devel
 
 MAINTAINER =		Matthias Kilian <kili@openbsd.org>
@@ -20,7 +19,7 @@ MODGHC_BUILD =		cabal hackage haddock re
 
 LIB_DEPENDS =		::devel/hs-binary \
 			::devel/hs-dataenc \
-			:hs-mmap->=0.4,<0.5:devel/hs-mmap \
+			:hs-mmap->=0.5,<0.6:devel/hs-mmap \
 			::archivers/hs-zlib
 RUN_DEPENDS =		${LIB_DEPENDS}
 
Index: devel/hs-hashed-storage/distinfo
===================================================================
RCS file: /cvs/ports/devel/hs-hashed-storage/distinfo,v
retrieving revision 1.3
diff -u -p -r1.3 distinfo
--- devel/hs-hashed-storage/distinfo	9 May 2010 17:00:00 -0000	1.3
+++ devel/hs-hashed-storage/distinfo	11 Sep 2010 19:20:27 -0000
@@ -1,5 +1,5 @@
-MD5 (hashed-storage-0.4.13.tar.gz) = iU32MMB2wYBzuqK1yZjhBQ==
-RMD160 (hashed-storage-0.4.13.tar.gz) = WZPFpP2YIshXsy2yzGSlB9BNUm8=
-SHA1 (hashed-storage-0.4.13.tar.gz) = 8Vxy5Jq0SoDNMF8xl0isPCOuQfw=
-SHA256 (hashed-storage-0.4.13.tar.gz) = xOjb0jRpzeGWljRPPlYIgxPOXugj4tia0tDLH85gK2M=
-SIZE (hashed-storage-0.4.13.tar.gz) = 54534
+MD5 (hashed-storage-0.5.2.tar.gz) = kXPxj8Zy2rTgXTgJLV59xg==
+RMD160 (hashed-storage-0.5.2.tar.gz) = L5jimCnU2xeXeIfTMjRqPy5eCgY=
+SHA1 (hashed-storage-0.5.2.tar.gz) = GzXxTKGYMEi2maCiSwZemxs3oaY=
+SHA256 (hashed-storage-0.5.2.tar.gz) = Qncij3umfT3jX9+7wncpEfbE4qhJUfzZgQNkQ3nhBtw=
+SIZE (hashed-storage-0.5.2.tar.gz) = 55447
Index: devel/hs-mmap/Makefile
===================================================================
RCS file: /cvs/ports/devel/hs-mmap/Makefile,v
retrieving revision 1.6
diff -u -p -r1.6 Makefile
--- devel/hs-mmap/Makefile	17 Jul 2010 13:56:14 -0000	1.6
+++ devel/hs-mmap/Makefile	11 Sep 2010 19:20:27 -0000
@@ -2,8 +2,7 @@
 
 COMMENT =		mmap API for Haskell
 
-DISTNAME =		mmap-0.4.1
-REVISION =		3
+DISTNAME =		mmap-0.5.6
 CATEGORIES =		devel
 
 MAINTAINER =		Matthias Kilian <kili@openbsd.org>
Index: devel/hs-mmap/distinfo
===================================================================
RCS file: /cvs/ports/devel/hs-mmap/distinfo,v
retrieving revision 1.1.1.1
diff -u -p -r1.1.1.1 distinfo
--- devel/hs-mmap/distinfo	8 Apr 2010 14:59:05 -0000	1.1.1.1
+++ devel/hs-mmap/distinfo	11 Sep 2010 19:20:27 -0000
@@ -1,5 +1,5 @@
-MD5 (mmap-0.4.1.tar.gz) = Lr6XcqDv0Kb+v7xnwC+qsg==
-RMD160 (mmap-0.4.1.tar.gz) = q+I6dlzog1pkQprCZfG7MeZrlFc=
-SHA1 (mmap-0.4.1.tar.gz) = W/6F1g/qiehceXaH/QhJMwVWPb4=
-SHA256 (mmap-0.4.1.tar.gz) = eSuOz7DM4fhYjw0qY8aJP/mKJHnAZ0VYPagWbVpG6tk=
-SIZE (mmap-0.4.1.tar.gz) = 5956
+MD5 (mmap-0.5.6.tar.gz) = ZC7Nl9iCKbpM0KbRS0PxEw==
+RMD160 (mmap-0.5.6.tar.gz) = i5gUBvc7CeXc+y4pQDuusJcELdc=
+SHA1 (mmap-0.5.6.tar.gz) = MNcDInb3vULRnxQHpZug7zrXls4=
+SHA256 (mmap-0.5.6.tar.gz) = wkV8Zjuqq2YmYrNcZTxv3D08WbX0wR/+67zmrRu8w2I=
+SIZE (mmap-0.5.6.tar.gz) = 11680
Index: devel/hs-mmap/patches/patch-cbits_posix_c
===================================================================
RCS file: devel/hs-mmap/patches/patch-cbits_posix_c
diff -N devel/hs-mmap/patches/patch-cbits_posix_c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ devel/hs-mmap/patches/patch-cbits_posix_c	11 Sep 2010 19:20:27 -0000
@@ -0,0 +1,11 @@
+$OpenBSD$
+--- cbits/posix.c.orig	Fri Apr 16 07:37:00 2010
++++ cbits/posix.c	Sat Aug 28 17:45:54 2010
+@@ -3,6 +3,7 @@
+ #define _LARGEFILE64_SOURCE 1
+ #define _FILE_OFFSET_BITS 64
+ 
++#include <stdint.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <sys/mman.h>
